import * as React from 'react';
import { NavigationContainer } from '@react-navigation/native';
import { createNativeStackNavigator } from '@react-navigation/native-stack';

import RegisterScreen from "./components/RegisterScreen"
import ListScreen from "./components/ListScreen"
import UserInfoScreen from "./components/UserInfoScreen"
import { StatusBar, View } from 'react-native';

const Stack = createNativeStackNavigator();

function App() {
  const colors = {
    green: '#66cc66',
    dark: '#222222'
  }

  return (
    <NavigationContainer>
      <StatusBar backgroundColor={colors.green} />
      <View style={{backgroundColor: colors.dark, flex:1}}>
        <Stack.Navigator
            screenOptions={{
              headerStyle: {
                backgroundColor: colors.green,
              },
              contentStyle: {
                backgroundColor: colors.dark,
              },
            }}
        >
          <Stack.Screen options={{headerShown: false}} name="Register" component={RegisterScreen}  />
          <Stack.Screen name="Users list" component={ListScreen} />
          <Stack.Screen name="User info" component={UserInfoScreen} />               
        </Stack.Navigator>
      </View>
    </NavigationContainer>
  );
}

export default App;