const serverAddress = 'https://maseuko.pl/soft/registerapp/';

const Networking = {
    fetchAPI: (uri, method, body) => {
        return new Promise((resolve, reject) => {
            const req = {
                method: method,
                headers: {
                    Accept: 'application/json',
                    'Content-Type': 'application/json',
                }
            };
            if(body) req.body = JSON.stringify(body);

            let ok = false;
            fetch(serverAddress + uri, req)
            .then(res => {
                ok = res.ok;
                return res.json();
            })
            .then(res => {
                if (ok && res) {
                    resolve(res);
                } else {
                    reject(['Error', res.message]);
                }
            })
            .catch(error => {
                reject(['Network error', error.message]);
            });
        });
    }
}

export default Networking;