import React, { Component } from 'react';
import { View, Text, KeyboardAvoidingView, TextInput, Alert } from 'react-native';
import MyButton from './MyButton';
import MyTextInput from './MyTextInput';
import Networking from '../Networking';

export default class RegisterScreen extends Component {
  constructor(props) {
    super(props);
    this.state = {
      username: '',
      password: ''
    };
  }

  render() {
    return (
      <View style={{flex: 1}}>
        <View style={{flex: 0, padding: 36, backgroundColor: '#66cc66'}}>
          <Text style={{fontSize: 36, alignSelf: 'center', color: 'white'}}> Register App </Text>
        </View>
        <KeyboardAvoidingView style={{flex: 1, justifyContent: 'center'}}>
          <View style={{margin: 16}}>
            <MyTextInput placeholder='Username' value={this.state.username} onChangeText={this.updateValue.bind(this, 'username')} />
            <MyTextInput placeholder='Password' value={this.state.password} onChangeText={this.updateValue.bind(this, 'password')} />
            <MyButton text='Register' alignSelf='flex-end' press={this.sendData.bind(this)}/>
          </View>
        </KeyboardAvoidingView>
      </View>
    );
  }

  updateValue(name, value) {
    this.setState({
      [name]: value
    })
  }

  async sendData() {
    const data = {
      username: this.state.username,
      password: this.state.password
    }

    Networking.fetchAPI('register.php', 'POST', data)
    .then(res => {
      this.setState({
        username: '',
        password: ''
      });
      this.props.navigation.navigate('Users list');
    })
    .catch(err => {
      Alert.alert(...err);
    });
  }
}
