import { Text, View, Image, TouchableOpacity } from 'react-native'
import React, { Component } from 'react'

export default class UserEntry extends Component {
  render() {
    const style = {
        horCont: {
            flexDirection: 'row',
            alignItems: 'center',
            margin: 8,
        },
        username: {
            color: '#eee',
            flex: 1,
        },
        icon: {
            width: 32,
            height: 32,
            margin: 8,
        }
    }

    return (
      <View style={style.horCont}>
        <Image source={require('../assets/user.png')} style={{width: 64, height: 64}}/>
        <Text style={style.username}>{this.props.user.username}</Text>
        <TouchableOpacity onPress={this.onInfoPress.bind(this)}>
            <Image source={require('../assets/info.png')} style={style.icon}/>
        </TouchableOpacity>
        <TouchableOpacity onPress={this.onDeletePress.bind(this)}>
            <Image source={require('../assets/trash.png')} style={style.icon}/>
        </TouchableOpacity>
      </View>
    )
  }

  onInfoPress() {
    this.props.onInfoPress(this.props.id);
  }

  onDeletePress() {
    this.props.onDeletePress(this.props.user.username);
  }
}