import { Image, View } from 'react-native'
import React, { Component } from 'react'
import UserInfoField from './UserInfoField'

export default class UserInfoScreen extends Component {
    render() {
        const user = this.props.route.params.user;
        let registerTime = new Date(user.registerTime);
        let registerTimeStr = registerTime.toLocaleString();

        const imageStyle = {
            width: 256,
            height: 256,
            margin: 32,
            alignSelf: 'center',
        }

        return (
        <View>
            <Image source={require('../assets/user.png')} style={imageStyle}/>
            <UserInfoField name='Username' value={user.username}/>
            <UserInfoField name='Password' value={user.password}/>
            <UserInfoField name='Registered at' value={registerTimeStr}/>
        </View>
        )
    }
}